---
title: Request for Evidence
slug: reference/request-for-evidence
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "5GSmFNC5wAN8wkJ-wlAB3",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/requestforevidencenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/requestforevidencenotification"
      }
    ],
    "name": "Request for Evidence",
    "description": "<p>Notification about claims that require evidence, including which evidence types to send</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "required",
              "type": "string<date-time>",
              "description": "The time the request was sent to the Merchant in ISO 8601 format",
              "default": "2025-01-01T12:00:00Z",
              "format": "date-time"
            },
            {
              "name": "processorCaseNumber",
              "kind": "optional",
              "type": "string",
              "description": "The Processor Case ID that the payment processor assigns to each claim",
              "default": "EXT123"
            },
            {
              "name": "processorChargeId",
              "kind": "optional",
              "type": "string",
              "description": "The unique identifier associated with the processor charge",
              "default": "CH123"
            },
            {
              "name": "orderId",
              "kind": "required",
              "type": "string",
              "description": "The id of the order that the evidence is linked to",
              "default": "1-123"
            },
            {
              "name": "claimId",
              "kind": "required",
              "type": "integer<int64>",
              "description": "Forter's unique id for each claim. Can be used to find the claim in the Portal",
              "default": 123,
              "format": "int64"
            },
            {
              "name": "processorName",
              "kind": "optional",
              "type": "string",
              "description": "The processor which the chargeback originated from",
              "default": "Stripe"
            },
            {
              "name": "issueDate",
              "kind": "required",
              "type": "string<date>",
              "description": "The date the claim was issued",
              "default": "2025-01-01",
              "format": "date"
            },
            {
              "name": "dueDate",
              "kind": "required",
              "type": "string<date>",
              "description": "The date by which evidence must be submitted",
              "default": "2025-01-03",
              "format": "date"
            },
            {
              "name": "hoursLeftUntilDisputed",
              "kind": "required",
              "type": "integer<int32>",
              "description": "Number of hours remaining until the claim is disputed",
              "default": 48,
              "format": "int32"
            },
            {
              "name": "claimType",
              "kind": "required",
              "type": "string<CHARGEBACK | PRE_CHARGEBACK | FAIL_TO_BILL | FRAUD_DECISION | DEBIT_MEMO | FRAUD_ALERT | REQUEST_FOR_INFORMATION | COMPENSATION_REQUEST | MERCHANT_CONFIRMED_FRAUD | VICTIM_CONFIRMED_FRAUD>",
              "description": "The type of claim",
              "default": "CHARGEBACK",
              "enum": [
                "CHARGEBACK",
                "PRE_CHARGEBACK",
                "FAIL_TO_BILL",
                "FRAUD_DECISION",
                "DEBIT_MEMO",
                "FRAUD_ALERT",
                "REQUEST_FOR_INFORMATION",
                "COMPENSATION_REQUEST",
                "MERCHANT_CONFIRMED_FRAUD",
                "VICTIM_CONFIRMED_FRAUD"
              ]
            },
            {
              "name": "reasonCode",
              "kind": "optional",
              "type": "string",
              "description": "The reason code for the claim",
              "default": "10.1"
            },
            {
              "name": "reasonCategory",
              "kind": "optional",
              "type": "string<FRAUD | SERVICE | GENERAL | AUTHORIZATION | PROCESSING_ERROR>",
              "description": "The category of the reason for the claim",
              "default": "FRAUD",
              "enum": [
                "FRAUD",
                "SERVICE",
                "GENERAL",
                "AUTHORIZATION",
                "PROCESSING_ERROR"
              ]
            },
            {
              "name": "cardType",
              "kind": "optional",
              "type": "string",
              "description": "The type of card used",
              "default": "VISA"
            },
            {
              "name": "amountClaimCurrency",
              "kind": "required",
              "type": "number",
              "description": "The amount of the claim in the claim currency",
              "default": 100
            },
            {
              "name": "claimCurrency",
              "kind": "required",
              "type": "string",
              "description": "The currency of the claim",
              "default": "USD"
            },
            {
              "name": "requestedEvidenceTypes",
              "kind": "required",
              "type": "array",
              "description": "<p>Array of evidence types that are requested for this claim. Values are the canonical evidence types listed in the Evidence Glossary and name the evidence needed, not its format. Every type can be satisfied by uploading a file via /v3/disputes/evidence/file. The following types can alternatively be satisfied by posting the equivalent data points via /v3/disputes/evidence/datapoints: PROOF_OF_REFUND (proofsOfRefund), PROOF_OF_DELIVERY (proofsOfDelivery), CUSTOMER_CORRESPONDENCE (customerCorrespondences), PROOF_OF_ORDER_REPLACEMENT (proofsOfReplacement), CREDIT_BALANCE (proofsOfCreditBalance), PROOF_OF_POSSESSION_OR_USAGE (proofsOfUsage), BUYER_REVIEW_SURVEY (buyerReviewSurveys), PURCHASE_HELD_IN_CUSTOMS (itemsHeldInCustoms), ITEM_DESCRIPTION (itemDescriptions) and RECURRING_BILLING_AGREEMENT (subscriptionDetails). Evidence provided in either format, through the API or the Forter Portal, satisfies the request and is not requested again in later reminders.</p>",
              "example": "",
              "default": [
                "INVOICE",
                "PROOF_OF_DELIVERY"
              ],
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "uniqueMessageId",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier for this notification message",
              "default": "notif-123"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": ""
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "I_f0l5W4SdXxQZ68sOww1",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/requestforevidencenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"timestamp\": \"2025-01-01T12:00:00Z\",\n     \"processorCaseNumber\": \"EXT123\",\n     \"processorChargeId\": \"CH123\",\n     \"orderId\": \"1-123\",\n     \"claimId\": 123,\n     \"processorName\": \"Stripe\",\n     \"issueDate\": \"2025-01-01\",\n     \"dueDate\": \"2025-01-03\",\n     \"hoursLeftUntilDisputed\": 48,\n     \"claimType\": \"CHARGEBACK\",\n     \"reasonCode\": \"10.1\",\n     \"reasonCategory\": \"FRAUD\",\n     \"cardType\": \"VISA\",\n     \"amountClaimCurrency\": 100,\n     \"claimCurrency\": \"USD\",\n     \"requestedEvidenceTypes\": [\n     \"INVOICE\",\n     \"PROOF_OF_DELIVERY\"\n     ],\n     \"uniqueMessageId\": \"notif-123\"\n     }'"
        },
        {
          "id": "YXYwpalw7VyROfbGCIvOy",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": \"2025-01-01T12:00:00Z\",\n   \"processorCaseNumber\": \"EXT123\",\n   \"processorChargeId\": \"CH123\",\n   \"orderId\": \"1-123\",\n   \"claimId\": 123,\n   \"processorName\": \"Stripe\",\n   \"issueDate\": \"2025-01-01\",\n   \"dueDate\": \"2025-01-03\",\n   \"hoursLeftUntilDisputed\": 48,\n   \"claimType\": \"CHARGEBACK\",\n   \"reasonCode\": \"10.1\",\n   \"reasonCategory\": \"FRAUD\",\n   \"cardType\": \"VISA\",\n   \"amountClaimCurrency\": 100,\n   \"claimCurrency\": \"USD\",\n   \"requestedEvidenceTypes\": [\n      \"INVOICE\",\n      \"PROOF_OF_DELIVERY\"\n   ],\n   \"uniqueMessageId\": \"notif-123\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/requestforevidencenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "wx6Wegx9nxvi3s_FlCvfu",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/requestforevidencenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": \"2025-01-01T12:00:00Z\",\n   \"processorCaseNumber\": \"EXT123\",\n   \"processorChargeId\": \"CH123\",\n   \"orderId\": \"1-123\",\n   \"claimId\": 123,\n   \"processorName\": \"Stripe\",\n   \"issueDate\": \"2025-01-01\",\n   \"dueDate\": \"2025-01-03\",\n   \"hoursLeftUntilDisputed\": 48,\n   \"claimType\": \"CHARGEBACK\",\n   \"reasonCode\": \"10.1\",\n   \"reasonCategory\": \"FRAUD\",\n   \"cardType\": \"VISA\",\n   \"amountClaimCurrency\": 100,\n   \"claimCurrency\": \"USD\",\n   \"requestedEvidenceTypes\": [\n      \"INVOICE\",\n      \"PROOF_OF_DELIVERY\"\n   ],\n   \"uniqueMessageId\": \"notif-123\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Y6UkS88g65nT51Rxfx-Mj",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/requestforevidencenotification\"\n\npayload = json.dumps({\n   \"timestamp\": \"2025-01-01T12:00:00Z\",\n   \"processorCaseNumber\": \"EXT123\",\n   \"processorChargeId\": \"CH123\",\n   \"orderId\": \"1-123\",\n   \"claimId\": 123,\n   \"processorName\": \"Stripe\",\n   \"issueDate\": \"2025-01-01\",\n   \"dueDate\": \"2025-01-03\",\n   \"hoursLeftUntilDisputed\": 48,\n   \"claimType\": \"CHARGEBACK\",\n   \"reasonCode\": \"10.1\",\n   \"reasonCategory\": \"FRAUD\",\n   \"cardType\": \"VISA\",\n   \"amountClaimCurrency\": 100,\n   \"claimCurrency\": \"USD\",\n   \"requestedEvidenceTypes\": [\n      \"INVOICE\",\n      \"PROOF_OF_DELIVERY\"\n   ],\n   \"uniqueMessageId\": \"notif-123\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "I_f0l5W4SdXxQZ68sOww1"
    },
    "results": {
      "languages": [
        {
          "id": "aUfLFdWwn3T3DFUofVISc",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "aUfLFdWwn3T3DFUofVISc"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}